Index: SPECS/busybox.spec
===================================================================
--- SPECS.orig/busybox.spec
+++ SPECS/busybox.spec
@@ -1,7 +1,7 @@
 Summary: Statically linked binary providing simplified versions of system commands
 Name: busybox
 Version: 1.6.1
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 Epoch: 1
 License: GPL
 Group: System Environment/Shells
@@ -54,8 +54,6 @@ better suited to normal use.
 %prep
 %setup -q
 %patch13 -b .clean -p1
-#SELINUX Patch
-%patch -b .static -p1
 %ifarch ppc64
 #%patch4 -b .ppc64 -p1
 %endif
@@ -68,25 +66,26 @@ better suited to normal use.
 %build
 # create static busybox - the executable is kept as busybox-static
 make defconfig
+patch .config < %{PATCH0}
+yes "" | make oldconfig
 make CC="gcc $RPM_OPT_FLAGS"
 cp busybox busybox-static
 make clean
 
 # create busybox optimized for anaconda 
-# revert the static patch
-patch -R -p1 <%{PATCH0}
-# applied anaconda patch
-patch -b --suffix .anaconda -p1 < %{PATCH1}
-
 make defconfig
+patch .config < %{PATCH1}
+yes "" | make oldconfig
 make CONFIG_DEBUG=y CC="gcc $RPM_OPT_FLAGS"
 cp busybox busybox.anaconda
-
 make clean
+
+# create busybox optimised for petitboot
 cp %{SOURCE1} .config
 yes "" | make oldconfig
 make CC="gcc $RPM_OPT_FLAGS -Os"
 cp busybox busybox.petitboot
+make clean
 
 %install
 rm -rf $RPM_BUILD_ROOT
